Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - multidoge

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: multidoge 0.1.7-1

Git Clone URL: https://aur-dev.archlinux.org/multidoge.git (read-only)
Package Base: multidoge
Description: Java-based DogeCoin client
Upstream URL: http://multidoge.org
Keywords: dogecoin multidoge
Licenses: GPL
Conflicts: multidoge
Provides: multidoge
Submitter: AlexTalker
Maintainer: AlexTalker
Last Packager: AlexTalker
Votes: 3
Popularity: 0.000569
First Submitted: 2014-04-30 12:18
Last Updated: 2016-10-16 17:23

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

AlexTalker commented on 2014-05-02 14:42

@bitwave, https://gist.github.com/11476748

bitwave commented on 2014-05-02 12:32

@AlexTalker, sorry i didn't know that. this is the std unified diff:
http://pastebin.com/KGCaq8Vn

AlexTalker commented on 2014-05-02 12:12

@bitwave, so sorry, why you use git diff for create patch? Use just diff, i can't use git in my sources.

bitwave commented on 2014-05-02 11:49

@AlexTalker: the patch: http://pastebin.com/KnLa4Uiw
and the install.properties file: http://pastebin.com/v6HF14jp

AlexTalker commented on 2014-05-02 10:36

@bitwave, and how to make patch manually https://en.wikipedia.org/wiki/Patch_(Unix)

AlexTalker commented on 2014-05-02 10:27

@bitwave,please, use gist or pastebin for send patches, i don't fan copy-paste.

bitwave commented on 2014-05-02 07:35

@AlexTalker, here is a patch:

diff --git a/PKGBUILD.old b/PKGBUILD
index 1242188..78da1fa 100644
--- a/PKGBUILD.old
+++ b/PKGBUILD
@@ -1,4 +1,5 @@
# Maintainer Alex Talker < Alextalker at openmailbox dot com >
+# Contributor bitwave < aur [at] oomlu [d0t] de >
pkgname=multidoge
pkgver=0.1.2
pkgrel=1
@@ -6,17 +7,23 @@ pkgdesc="Java-based DogeCoin client"
arch=('i686' 'x86_64')
url="http://multidoge.org"
license=('GPL')
-depends=('jdk7-openjdk')
+conflicts=('multidoge')
+provides=('multidoge')
+depends=('java-runtime' 'bash')
#https://github.com/langerhans/multidoge/releases/download/v0.1.2/multidoge-0.1.2-linux.jar
source=("https://github.com/langerhans/multidoge/releases/download/v${pkgver}/multidoge-${pkgver}-linux.jar"
- "${pkgname}")
+ "${pkgname}" install.properties)
noextract=("multidoge-${pkgver}-linux.jar")
md5sums=('a9484de0a99ada77ebd0118a33708c72'
- '937bebe7bdda35b2089415fbe0c79926')
+ '937bebe7bdda35b2089415fbe0c79926'
+ 'ecb77c4f6857760ac0bb278b2771ee1c')
package() {
msg "Install package..."
cd ${srcdir}
- install -Dm 755 ${pkgname}-${pkgver}-linux.jar ${pkgdir}/usr/share/java/${pkgname}/${pkgname}.jar
- install -Dm 766 ${pkgname} ${pkgdir}/usr/bin/${pkgname}
+ #bugfix causing the izpack installer to return an error
+ java -jar ${pkgname}-${pkgver}-linux.jar -options install.properties || echo
+
+ install -Dm 644 tmp-install/${pkgname}-exe.jar ${pkgdir}/usr/share/java/${pkgname}/${pkgname}.jar
+ install -Dm 755 ${pkgname} ${pkgdir}/usr/bin/${pkgname}
msg "Done!"
-}
+}
\ No newline at end of file

AlexTalker commented on 2014-05-01 22:54

@bitwave, oh, just send me your PKGBUILD, you can added in first srting comment about your contrib, like
# Contributor: John Doe <test@mail.com>

bitwave commented on 2014-05-01 18:10

Or should i send you my tar.gz?

bitwave commented on 2014-05-01 17:34

@AlexTalker, I'm created a working package. Can you add me as contributor?